Bug 462208 - system.list_inactive_systems call missing the last checkin date info
system.list_inactive_systems call missing the last checkin date info
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API (Show other bugs)
530
All Linux
medium Severity medium
: ---
: ---
Assigned To: Partha Aji
wes hayutin
:
Depends On:
Blocks: 456996
  Show dependency treegraph
 
Reported: 2008-09-14 02:02 EDT by Partha Aji
Modified: 2009-09-10 15:53 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:53:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Partha Aji 2008-09-14 02:02:52 EDT
Description of problem:
Basically the last_checkin date information is not provided by the xmlrpc system.list_inactive_systems call.. 

Version-Release number of selected component (if applicable):
ever since 502

How reproducible:
always

Steps to Reproduce:
1. try the following python script
import xmlrpc
client = xmlrpc.Server("http://<sat_server>/rpc/api")
key = client.auth.login("<login>","<password>")
systems = client.system.list_inactive_systems(key,0)
if not systems[0]['last_checkin']: print "NO LAST CHECKIN"
else: print "Looks COOL"
Actual results:

NO LAST CHECKIN
Expected results:

Looks COOL
Additional info:
Comment 3 wes hayutin 2009-01-27 12:12:58 EST
[whayutin@whayutin tmp]$ python wes.py 
Looks COOL
[whayutin@whayu

verified
Comment 4 John Matthews 2009-08-13 14:32:18 EDT
Move to RELEASE_PENDING
'last_checkin' is populated


$ python
Python 2.6 (r26:66714, Jun  8 2009, 16:07:29) 
[GCC 4.4.0 20090506 (Red Hat 4.4.0-4)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import xmlrpclib
>>> client = xmlrpclib.Server("http://rhndev1.z900.redhat.com/rpc/api")
>>> key = client.auth.login("admin", "redhat")
>>> systems = client.system.list_inactive_systems(key, 0)
>>> print systems[0]
{'last_checkin': <DateTime '20090803T23:32:07' at 7f1e39684440>, 'id': 1000016284, 'name': 'bz443718--1249356683-0'}
Comment 5 Brandon Perkins 2009-09-10 15:53:14 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.